<?php
/**
 * WCFM plugin controllers
 *
 * Plugin Membership Settings Controller
 *
 * @author 		WC Lovers
 * @package 	wcfmvm/controllers
 * @version   1.0.0
 */

class WCFMvm_Memberships_Settings_Controller {
	
	public function __construct() {
		global $WCFM;
		
		$this->processing();
	}
	
	public function processing() {
		global $WCFM, $WCFMvm, $_POST, $wpdb, $wcfm_membership_settings_form_data;
		
		$wcfm_membership_settings_form_data = array();
	  parse_str($_POST['wcfm_membership_settings_form'], $wcfm_membership_settings_form_data);
	  
	  update_option( 'wcfm_membership_options', $wcfm_membership_settings_form_data );
	  
	  if( isset( $_POST['free_thankyou_content'] ) ) {
	  	update_option( 'wcfm_membership_free_thankyou_content', $_POST['free_thankyou_content'] );
	  }
	  
	  if( isset( $_POST['subscription_thankyou_content'] ) ) {
	  	update_option( 'wcfm_membership_subscription_thankyou_content', $_POST['subscription_thankyou_content'] );
	  }
	  
	  if( isset( $wcfm_membership_settings_form_data['subscription_welcome_email_subject'] ) ) {
	  	update_option( 'wcfm_membership_subscription_welcome_email_subject', $wcfm_membership_settings_form_data['subscription_welcome_email_subject'] );
	  }
	  
	  if( isset( $_POST['subscription_welcome_email_content'] ) ) {
	  	update_option( 'wcfm_membership_subscription_welcome_email_content', $_POST['subscription_welcome_email_content'] );
	  }
	  
	  // Init WCFM membership Display Custom CSS file
		$wcfmvm_style_custom = $WCFMvm->wcfmvm_create_membership_css();
	  
	  echo '{"status": true, "message": "' . __( 'Settings saved successfully', 'wc-frontend-manager' ) . '"}';
		
		die;
	}
}