<?php
/**
 * WCFM plugin core
 *
 * Plugin shortcode
 *
 * @author 		WC Lovers
 * @package 	wcfmvm/core
 * @version   1.0.0
 */
 
class WCFMvm_Shortcode {

	public $list_product;

	public function __construct() {
		// WC Frontend Manager Shortcode
		add_shortcode('wcfm_vendor_membership', array(&$this, 'wcfm_vendor_membership'));
	}

	public function wcfm_vendor_membership($attr) {
		global $WCFM;
		$this->load_class('vendor-membership');
		return $this->shortcode_wrapper(array('WCFM_Vendor_Membership_Shortcode', 'output'));
	}
	
	/**
	 * Shortcode Wrapper
	 *
	 * @access public
	 * @param mixed $function
	 * @param array $atts (default: array())
	 * @return string
	 */
	public function shortcode_wrapper($function, $atts = array()) {
		ob_start();
		call_user_func($function, $atts);
		return ob_get_clean();
	}

	/**
	 * Shortcode CLass Loader
	 *
	 * @access public
	 * @param mixed $class_name
	 * @return void
	 */
	public function load_class($class_name = '') {
		global $WCFMvm;
		if ('' != $class_name && '' != $WCFMvm->token) {
			require_once ( $WCFMvm->plugin_path . 'includes/shortcodes/class-' . esc_attr($WCFMvm->token) . '-shortcode-' . esc_attr($class_name) . '.php' );
		}
	}

}
?>