<?php
/**
 * WCFM plugin view
 *
 * WCFMgs Memberships Settings View
 *
 * @author 		WC Lovers
 * @package 	wcfmvm/view
 * @version   1.0.0
 */
 
global $wp, $WCFM, $WCFMvm;

$wcfm_is_allow_membership = apply_filters( 'wcfm_is_allow_membership', true );
if( !$wcfm_is_allow_membership ) {
	wcfm_restriction_message_show( "Memberships" );
	return;
}

$wcfm_membership_payment_methods = get_wcfm_membership_payment_methods();

$wcfm_membership_options = get_option( 'wcfm_membership_options', array() );

$membership_payment_settings = array();
if( isset( $wcfm_membership_options['membership_payment_settings'] ) ) $membership_payment_settings = $wcfm_membership_options['membership_payment_settings'];
$payment_methods = array();
if( isset( $membership_payment_settings['payment_methods'] ) ) $payment_methods = $membership_payment_settings['payment_methods'];
$paypal_email = ( $membership_payment_settings['paypal_email'] ) ? $membership_payment_settings['paypal_email'] : '';
$paypal_sandbox = isset( $membership_payment_settings['paypal_sandbox'] ) ? 'yes' : 'no';

$membership_type_settings = array();
if( isset( $wcfm_membership_options['membership_type_settings'] ) ) $membership_type_settings = $wcfm_membership_options['membership_type_settings'];
$free_membership = ( $membership_type_settings['free_membership'] ) ? $membership_type_settings['free_membership'] : '';
$featured_membership = ( $membership_type_settings['featured_membership'] ) ? $membership_type_settings['featured_membership'] : '';

$wcfmvm_color_options = array();
if( isset( $wcfm_membership_options['membership_color_settings'] ) ) $wcfmvm_color_options = $wcfm_membership_options['membership_color_settings'];

$free_thankyou_content = '';
$free_thankyou_content = get_option( 'wcfm_membership_free_thankyou_content', '' );
if( !$free_thankyou_content ) {
	$free_thankyou_content = "<strong>Welcome,</strong>
														<br /><br />
														You have successfully subscribed to our membership plan. 
														<br /><br />
														Your account already setup and ready to configure.
														<br /><br />
														Kindly follow the below the link to visit your dashboard.
														<br /><br />
														Thank You";
}

$subscription_thankyou_content = '';
$subscription_thankyou_content = get_option( 'wcfm_membership_subscription_thankyou_content', '' );
if( !$subscription_thankyou_content ) {
	$subscription_thankyou_content = "<strong>Welcome,</strong>
																		<br /><br />
																		You have successfully subscribed to our membership plan. 
																		<br /><br />
																		Your account still under processing.
																		<br /><br />
																		You will receive details in mail very soon!
																		<br /><br />
																		Thank You";
}

$subscription_welcome_email_content = '';
$subscription_welcome_email_subject = get_option( 'wcfm_membership_subscription_welcome_email_subject', '{site_name}: Successfully Subscribed' );
$subscription_welcome_email_content = get_option( 'wcfm_membership_subscription_welcome_email_content', '' );
if( !$subscription_welcome_email_content ) {
	$subscription_welcome_email_content = "Dear {first_name},
																<br /><br />
																You have successfully subscribed to our membership plan. 
																<br /><br />
																Your account already setup and ready to configure.
																<br /><br />
																Kindly follow the below the link to visit your dashboard.
																<br /><br />
																Dashboard: {dashboard_url} 
																<br /><br />
																Thank You";
}

$membership_feature_lists = array();
if( isset( $wcfm_membership_options['membership_features'] ) ) $membership_feature_lists = $wcfm_membership_options['membership_features'];

$args = array(
							'posts_per_page'   => $length,
							'offset'           => $offset,
							'category'         => '',
							'category_name'    => '',
							'orderby'          => 'date',
							'order'            => 'DESC',
							'include'          => '',
							'exclude'          => '',
							'meta_key'         => '',
							'meta_value'       => '',
							'post_type'        => 'wcfm_memberships',
							'post_mime_type'   => '',
							'post_parent'      => '',
							//'author'	   => get_current_user_id(),
							'post_status'      => array('draft', 'pending', 'publish'),
							'suppress_filters' => true 
						);
$args = apply_filters( 'wcfm_vendor_memberships_args', $args );
$wcfm_memberships_list = get_posts( $args );
$wcfm_memberships_array = array( '' => __( '- Choose Membership -', 'wc-frontend-manager-vendor-membership' ) );
if( !empty( $wcfm_memberships_list ) ) {
	foreach( $wcfm_memberships_list as $wcfm_membership_list ) {
		$wcfm_memberships_array[$wcfm_membership_list->ID] = $wcfm_membership_list->post_title;
	}
}

do_action( 'before_wcfm_membership_settings_manage' );

?>

<div class="collapse wcfm-collapse">
  <div class="wcfm-page-headig">
		<span class="fa fa-cogs"></span>
		<span class="wcfm-page-heading-text"><?php _e( 'Membership Settings', 'wc-frontend-manager-vendor-membership' ); ?></span>
		<?php do_action( 'wcfm_page_heading' ); ?>
	</div>
	<div class="wcfm-collapse-content">
	  <div id="wcfm_page_load"></div>
		<form id="wcfm_membership_settings_form" class="wcfm">
		
			<?php do_action( 'begin_wcfm_membership_settings_form' ); ?>
			<h2><?php _e('Membership General Options', 'wc-frontend-manager-vendor-membership' ); ?></h2>
			
			<?php
			echo '<a class="add_new_wcfm_ele_dashboard text_tip" href="'.get_wcfm_memberships_url().'" data-tip="' . __('Memberships', 'wc-frontend-manager-vendor-membership') . '"><span class="fa fa-user-plus"></span><span class="text">' . __( 'Memberships', 'wc-frontend-manager-vendor-membership') . '</span></a>';
			if( $has_new = apply_filters( 'wcfm_add_new_membership_sub_menu', true ) ) {
				echo '<a class="add_new_wcfm_ele_dashboard text_tip" href="'.get_wcfm_memberships_manage_url().'" data-tip="' . __('Add New Membership', 'wc-frontend-manager-vendor-membership') . '"><span class="fa fa-user-plus"></span></a>';
			}
			?>
			<div class="wcfm-clearfix"></div>
			<!-- collapsible -->
			<div class="wcfm-container">
				<div id="membership_settings_manage_general_expander" class="wcfm-content">
					<?php
						$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_general_fields', array(  
																																				//'payment_methods' => array( 'label' => __( 'Payment Methods', 'wc-frontend-manager-vendor-membership' ), 'name' => 'membership_payment_settings[payment_methods]', 'type' => 'checklist', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox_title', 'options' => $wcfm_membership_payment_methods, 'value' => $payment_methods  ),
																																				'paypal_sandbox' => array( 'label' => __( 'PayPal Sandbox', 'wc-frontend-manager-vendor-membership' ), 'name' => 'membership_payment_settings[paypal_sandbox]', 'type' => 'checkbox', 'class' => 'wcfm-checkbox wcfm_ele', 'label_class' => 'wcfm_title checkbox_title', 'value' => 'yes', 'dfvalue' => $paypal_sandbox ),
																																				'paypal_email' => array( 'label' => __( 'PayPal Email', 'wc-frontend-manager-vendor-membership' ), 'name' => 'membership_payment_settings[paypal_email]', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $paypal_email ),
																																				'free_membership' => array( 'label' => __( 'Free Membership', 'wc-frontend-manager-vendor-membership' ), 'name' => 'membership_type_settings[free_membership]', 'type' => 'select', 'options' => $wcfm_memberships_array, 'class' => 'wcfm-select wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $free_membership ),
																																				'featured_membership' => array( 'label' => __( 'Featured Membership', 'wc-frontend-manager-vendor-membership' ), 'name' => 'membership_type_settings[featured_membership]', 'type' => 'select', 'options' => $wcfm_memberships_array, 'class' => 'wcfm-select wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $featured_membership )
																																				) ) );
					?>
				</div>
			</div>
			<div class="wcfm_clearfix"></div><br />
			<!-- end collapsible -->
			
			<div class="wcfm-tabWrap">
			  <!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_features_head">
					<label class="fa fa-diamond"></label>
					<?php _e('Features', 'wc-frontend-manager-vendor-membership'); ?>
				</div> 
				<div class="wcfm-container">
					<div id="membership_settings_features_expander" class="wcfm-content">
						<?php
							$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_features_fields', array(  
																																															"membership_features" => array( 'label' => __( 'Features List', 'wc-frontend-manager-vendor-membership' ), 'type' => 'multiinput', 'value' => $membership_feature_lists, 'options' => array(
																																																'feature' => array( 'label' => __( 'Feature', 'wc-frontend-manager-vendor-membership' ), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title'  )
																																					) ) ) ) );
						?>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_style_head">
					<label class="fa fa-image"></label>
					<?php _e('Style', 'wc-frontend-manager'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_style_expander" class="wcfm-content">
					  <h2><?php _e( 'Mambership plan disaplay page styling', 'wc-frontend-manager-vendor-membership' ); ?></h2>
					  <div class="wcfm_clearfix"></div>
						<?php
							$color_options = $WCFMvm->wcfmvm_membership_color_setting_options();
							$color_options_array = array();
			
							foreach( $color_options as $color_option_key => $color_option ) {
								$color_options_array[$color_option['name']] = array( 'label' => $color_option['label'] , 'name' => 'membership_color_settings['.$color_option['name'].']', 'type' => 'colorpicker', 'class' => 'wcfm-text wcfm_ele colorpicker', 'label_class' => 'wcfm_title wcfm_ele', 'value' => ( isset($wcfmvm_color_options[$color_option['name']]) ) ? $wcfmvm_color_options[$color_option['name']] : $color_option['default'] );
							}
							$WCFM->wcfm_fields->wcfm_generate_form_field( $color_options_array );
						?>
						<div class="wcfm_clearfix"></div>
						<input type="submit" name="reset-color-settings" value="<?php _e( 'Reset to Default', 'wc-frontend-manager' ); ?>" id="wcfmvm_color_setting_reset_button" class="wcfm_submit_button" />
						<div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_thankyou_head">
					<label class="fa fa-thumbs-o-up"></label>
					<?php _e('Thank You', 'wc-frontend-manager-vendor-membership'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_thankyou_expander" class="wcfm-content">
					  <div class="wcfm_clearfix"></div>
						<?php
							$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_thankyou_fields', array(  
																																				//'thankyou_title' => array( 'label' => __( 'Thank You page title', 'wc-frontend-manager-vendor-membership' ), 'name' => 'thankyou_content[title]', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $thankyou_title ),
																																				'free_thankyou_content' => array( 'label' => __( 'Free Membership Thank You page content', 'wc-frontend-manager-vendor-membership' ), 'type' => 'textarea', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $free_thankyou_content, 'hints' => __( 'This content will be visible when user subscribe to FREE plan.', 'wc-frontend-manager-vendor-membership' ), 'desc' => __( 'Please don\'t include Dashboard URL, it will be automatically append with the content.', 'wc-frontend-manager-vendor-membership' ) ),
																																				'subscription_thankyou_content' => array( 'label' => __( 'Subscription membership Thank You page content', 'wc-frontend-manager-vendor-membership' ), 'type' => 'textarea', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $subscription_thankyou_content, 'hints' => __( 'This content will be visible when user pay via PayPal.', 'wc-frontend-manager-vendor-membership' ) )
																																				) ) );
						?>
						<div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<!-- collapsible -->
				<div class="page_collapsible" id="membership_settings_form_thankyou_head">
					<label class="fa fa-envelope-o"></label>
					<?php _e('Welcome Email', 'wc-frontend-manager-vendor-membership'); ?><span></span>
				</div>
				<div class="wcfm-container">
					<div id="membership_settings_form_thankyou_expander" class="wcfm-content">
					  <div class="wcfm_clearfix"></div>
						<?php
							$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'membership_setting_welcome_email_fields', array(  
																																				'subscription_welcome_email_subject' => array( 'label' => __( 'Welcome Email Subject', 'wc-frontend-manager-vendor-membership' ), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $subscription_welcome_email_subject ),
																																				'subscription_welcome_email_content' => array( 'label' => __( 'Welcome Email content', 'wc-frontend-manager-vendor-membership' ), 'type' => 'textarea', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $subscription_welcome_email_content )
																																				) ) );
						?>
						<div class="wcfm_clearfix"></div>
					</div>
				</div>
				<div class="wcfm_clearfix"></div>
				<!-- end collapsible -->
				
				<?php do_action( 'end_wcfm_membership_settings_form' ); ?>
			</div>
			
			<div id="wcfm_membership_setting_manager_submit" class="wcfm_form_simple_submit_wrapper">
			  <div class="wcfm-message" tabindex="-1"></div>
			  
				<input type="submit" name="membership_setting-manager-data" value="<?php _e( 'Submit', 'wc-frontend-manager' ); ?>" id="wcfm_membership_setting_submit_button" class="wcfm_submit_button" />
			</div>
			<?php
			do_action( 'after_wcfm_membership_settings' );
			?>
		</form>
	</div>
</div>